variable "instance_name" {
  description = "the name of the database instance to create"
  type        = string
  sensitive   = true
}

variable "region" {
  description = "the GCP region to deploy the database to"
  type        = string
  sensitive   = true
  default     = "europe-west1"
}

variable "database_tier" {
  description = "the database tier to use"
  type        = string
  sensitive   = true
  default     = "db-f1-micro"
}

variable "database_name" {
  description = "the name of the database to create in the instance"
  type        = string
  sensitive   = true
  default     = "demo"
}

variable "database_user_name" {
  description = "the name of the database user to create"
  type        = string
  sensitive   = true
  default     = "administrator"
}